%define modname memcached
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A91_%{modname}.ini

Summary:	A libmemcached library interface for PHP
Name:		php-%{modname}
Version:	2.1.0
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/memcached
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	libmemcached-devel >= 1.0.0
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	dos2unix

%description
This extension uses libmemcached library to provide API for communicating with
memcached servers.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \
    --with-zlib-dir=%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog memcached-api.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 2.1.0-5.mga3
+ Revision: 393310
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 375854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 2.1.0-3.mga3
+ Revision: 345778
- Rebuild for new PHP

* Mon Jan 07 2013 colin <colin> 2.1.0-2.mga3
+ Revision: 341116
- Rebuild for latest PHP

* Sun Sep 02 2012 fwang <fwang> 2.1.0-1.mga3
+ Revision: 287204
- new version 2.1.0

* Mon Jul 16 2012 colin <colin> 2.0.1-3.mga3
+ Revision: 271237
- Rebuild for new PHP

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2.0.1-2.mga2
+ Revision: 223916
- httpd restart is handled by filetriggers now

* Wed Mar 07 2012 colin <colin> 2.0.1-1.mga2
+ Revision: 220955
- New version: 2.0.1

* Sat Jan 14 2012 fwang <fwang> 1.0.2-9.mga2
+ Revision: 195918
- bump rel

* Sat Jan 14 2012 fwang <fwang> 1.0.2-8.mga2
+ Revision: 195906
- rebuild for new libmemcached

* Sun Jul 17 2011 fwang <fwang> 1.0.2-7.mga2
+ Revision: 125244
- rebuild for new libmemcached

* Sun Feb 06 2011 spuhler <spuhler> 1.0.2-6.mga1
+ Revision: 48114
- removed buildroot definition from .spec
- imported package php-memcached

